Skip to main content
POST
/
orgs
/
{orgId}
/
compliance
/
controls
/
{controlId}
/
evidence
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/controls/{controlId}/evidence \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "content": {},
  "url": "<string>"
}
'
{
  "id": "<string>",
  "controlId": "<string>",
  "title": "<string>",
  "description": "<string>",
  "content": {},
  "url": "<string>",
  "collectedAt": "<string>",
  "expiresAt": "<string>",
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

controlId
string
required

Compliance control identifier

Body

application/json

Input for adding a manual evidence item

type
enum<string>
required

Type of evidence

Available options:
AUTOMATED,
MANUAL,
SCREENSHOT,
DOCUMENT
source
enum<string>
required

Source of the evidence

Available options:
GITHUB,
AWS,
CLERK,
INTERNAL,
MANUAL
title
string
required

Evidence title

description
string

Evidence description

content
object

Structured evidence content

url
string

URL reference for external evidence

Response

200 - application/json

OK

An evidence item linked to a compliance control

id
string
required

Unique evidence item identifier

controlId
string
required

Associated compliance control identifier

type
enum<string>
required

Type of evidence item

Available options:
AUTOMATED,
MANUAL,
SCREENSHOT,
DOCUMENT
source
enum<string>
required

Source of the evidence

Available options:
GITHUB,
AWS,
CLERK,
INTERNAL,
MANUAL
title
string
required

Evidence title

description
string | null
required

Evidence description

content
object
required

Structured evidence content

url
string | null
required

URL reference for external evidence

collectedAt
string
required

ISO 8601 collection timestamp

expiresAt
string | null
required

ISO 8601 expiration timestamp

createdAt
string
required

ISO 8601 creation timestamp